#ifndef UTILITIEC_COMPLEX_CARTESIAN_H
#define UTILITIEC_COMPLEX_CARTESIAN_H

typedef struct ComplexCartesian_s {
	double real;
	double imaginary;
} ComplexCartesian;

ComplexCartesian ComplexCartesian_FromReal(double real);

ComplexCartesian ComplexCartesian_Plus(ComplexCartesian self, ComplexCartesian other);
ComplexCartesian ComplexCartesian_Minus(ComplexCartesian self, ComplexCartesian other);
ComplexCartesian ComplexCartesian_Times(ComplexCartesian self, ComplexCartesian other);
ComplexCartesian ComplexCartesian_Divide(ComplexCartesian self, ComplexCartesian other);

#endif
